;generate WormWars.catalog files based on ww.cd and ww.ct

SETENV Language deutsch
CATCOMP ww.cd $Language.ct CATALOG /Catalogs/$Language/WormWars.catalog VERBOSITY=3
COPY /Catalogs/$Language/WormWars.catalog windh_c:games/wormwars/Catalogs/german.iff
CATCOMP generic.cd generic/$Language.ct CATALOG /Catalogs/$Language/generic.catalog VERBOSITY=3

SETENV Language italiano
CATCOMP ww.cd $Language.ct CATALOG /Catalogs/$Language/WormWars.catalog VERBOSITY=3
COPY /Catalogs/$Language/WormWars.catalog windh_c:games/wormwars/Catalogs/italian.iff
CATCOMP generic.cd generic/$Language.ct CATALOG /Catalogs/$Language/generic.catalog VERBOSITY=3

SETENV Language espaol
CATCOMP ww.cd $Language.ct CATALOG /Catalogs/$Language/WormWars.catalog VERBOSITY=3
COPY /Catalogs/$Language/WormWars.catalog windh_c:games/wormwars/Catalogs/spanish.iff
CATCOMP generic.cd generic/$Language.ct CATALOG /Catalogs/$Language/generic.catalog VERBOSITY=3

SETENV Language greek
IF EXISTS greek.ct
 CATCOMP ww.cd $Language.ct CATALOG /Catalogs/$Language/WormWars.catalog VERBOSITY=3
 COPY /Catalogs/$Language/WormWars.catalog windh_c:games/wormwars/Catalogs/greek.iff
ENDIF
IF EXISTS generic/greek.ct
 CATCOMP generic.cd generic/$Language.ct CATALOG /Catalogs/$Language/generic.catalog VERBOSITY=3
 COPY generic/$Language.ct aa:generic/
 COPY generic/$Language.ct saga:generic/
 COPY generic/$Language.ct africa:generic/
 COPY /Catalogs/$Language/generic.catalog aa:/Catalogs/$Language/
 COPY /Catalogs/$Language/generic.catalog saga:/Catalogs/$Language/
 COPY /Catalogs/$Language/generic.catalog africa:/Catalogs/$Language/
ENDIF

SETENV Language polski
CATCOMP ww.cd $Language.ct CATALOG /Catalogs/$Language/WormWars.catalog VERBOSITY=3
COPY /Catalogs/$Language/WormWars.catalog windh_c:games/wormwars/Catalogs/polish.iff
CATCOMP generic.cd generic/$Language.ct CATALOG /Catalogs/$Language/generic.catalog VERBOSITY=3
COPY generic/$Language.ct aa:generic/
COPY /Catalogs/$Language/generic.catalog aa:/Catalogs/$Language/

SETENV Language english
