#define DECIMALVERSION   "9.15"
#define INTEGERVERSION   "9.15"
#define VERSION          "\0$VER: Worm Wars " INTEGERVERSION " (18.1.2019)" /* always d.m.y format */
#define RELEASEDATE      "18-01-19" // always dd.mm.yy format
#define RELEASEDATE_LONG "18 January 2019"
#define COPYRIGHT        " 1993-2019 Amigan Software"
#define TITLEBAR         "Worm Wars " DECIMALVERSION

// 2. DEFINES ------------------------------------------------------------

// #define TESTING
// automated test harness for ibm
// (click close gadget to quit)

// #define ASSERT
// ibm: when #defining this, also remove NDEBUG from
// "Project|Settings|C/C++|Preprocessor definitions".

#define OC               openconsole()

#define CAUSEWAIT       100
#define DELAY            30 // in milliseconds
#define DATELENGTH        8 /* DD/MM/YY */
#define TIMELENGTH        5 /* HH:MM */
#define DEFAULTLEVELS     5
#define HISCORES          4
#define MAXLEVELS        80 /* assert (MAXLEVELS >= 1 && MAXLEVELS <= 99); */
#define NAMELENGTH       21 /* 0..20 are TEXT, 21 is NULL */
#define NOMODE            0
#define NUMKEYS          30
#define HISCORESIZE      (6 + NAMELENGTH + 1 + DATELENGTH + 1 + TIMELENGTH + 1)
#define SAYLIMIT         60 /* in characters */

#define MINFIELDX        44 /* in squares */
#define MINFIELDY        39 /* in squares */
#define MAXFIELDX        97 /* in squares */
#define MAXFIELDY        82 /* in squares */
#define LEVELSIZE        ((MINFIELDX + 1) * (MINFIELDY + 1))
#define ARROWX           (fieldx + 1)
#define CENTREX          (MINFIELDX / 2)
#define CENTREY          (MINFIELDY / 2)
#define ENDXPIXEL        ((STARTXPIXEL + SQUAREX * (fieldx + 1)) - 1)
#define ENDYPIXEL        ((STARTYPIXEL + SQUAREY * (fieldy + 1)) - 1)
#define WW_LEFTGAP       ((fieldx - MINFIELDX) / 2)
#define WW_TOPGAP        ((fieldy - MINFIELDY) / 2)
#define WW_RIGHTGAP      (fieldx - MINFIELDX - WW_LEFTGAP)
#define WW_BOTTOMGAP     (fieldy - MINFIELDY - WW_TOPGAP)

#define FIELDCENTREX     (STARTXPIXEL + ((fieldx / 2) * SQUAREX)) /* pixel coord of X-centre of field */
#define FIELDCENTREY     (STARTYPIXEL + ((fieldy / 2) * SQUAREY)) /* pixel coord of Y-centre of field */

#define TUTORIALS        12

#define BONUS_TAIL        1
#define BONUS_GLOW        2
#define BONUS_TIME       10
#define BONUS_NUMBER     50
#define BONUS_LEVEL     100

// ASCII values
#define LF               10
#define CR               13

/* songs */

#define SONG_TITLE        0
#define SONG_EDITOR       1
#define SONG_BONUS        2
#define SONG_GAME         3
#define SONGS             8 // [0..7]

/* samples */

#define FXBORN_DOG        0
#define FXBORN_RAIN       1
#define FXGET_LIGHTNING   2
#define FXBORN_MISSILE    3
#define FXBORN_PROTECTOR  4
#define FXDEATH_WORM      5
#define FXDO_ENCLOSE      6
#define FXBORN_FRAGMENT   7
#define FXGET_AMMO        8
#define FXGET_CYCLONE     9
#define FXGET_RAIN       10
#define FXGET_GROWER     11
#define FXGET_OBJECT     12
#define FXGET_POWERUP    13
#define FXGET_GRAVE      14
#define FXHELP           15
#define FXUSE_AMMO       16
#define FXUSE_ARMOUR     17
#define FXUSE_BOMB       18
#define FXUSE_TELEPORT   19
#define FXBORN_BIRD      20
#define FXPAIN           21 /* 21..24 */
#define FXAPPLAUSE       25 /* after each new hiscore */
#define FXGAMEOVER       26 /* if all worms are dead */
#define FXCLICK          27 /* rundown, keypresses */
#define FXSIREN          28 /* out of time */
#define FXDING           29
#define FXBORN_BULL      30
#define FXBORN_SNAKE     31
#define FXBORN_RHINO     32
#define FXGET_BUTTERFLY  33
#define FXBORN_ELEPHANT  34
#define FXBORN_HORSE     35
#define FXBORN_MONKEY    36
#define SAMPLES          37 // [0..36]

#define BONUSLEVEL_ORBS        0
#define BONUSLEVEL_BANANAS     1
#define BONUSLEVEL_RAIN        2
#define BONUSLEVEL_TREASURY    3
#define BONUSLEVEL_BUTTERFLIES 4
#define BONUSLEVEL_RABBITS     5
#define BONUSLEVEL_ENCLOSE     6
#define BONUSLEVEL_CHERRIES    7
#define BONUSLEVEL_PATH        8
#define BONUSLEVEL_DOGS        9
#define BONUSLEVEL_SNAKES     10
#define BONUSLEVEL_BULLS      11
#define BONUSLEVEL_JUMP       12
#define BONUSLEVELS           13 // [0..12]

// key types
#define MOVE              0 /* not AMMO, TRAINER, ONEHUMAN */
#define TRAINER           2 /* not MOVE, AMMO, ONEHUMAN */
#define ONEHUMAN          3 /* not MOVE, AMMO, TRAINER */

// speeds
#define STOPPED           0
#define VERYFAST          1
#define FAST              2
#define NORMAL            4
#define SLOW              8
#define VERYSLOW         16 /* must be non-0 */

// pseudo-gadgets
#define PSEUDOGADGETS    10  // [0..9]
#define GADGETX         (-2) // negatives must be within parentheses
#define EMPTYGADGET    ((fieldy / 2) - 9)
#define SILVERGADGET   ((fieldy / 2) - 7)
#define GOLDGADGET     ((fieldy / 2) - 5)
#define DYNAMITEGADGET ((fieldy / 2) - 3)
#define WOODGADGET     ((fieldy / 2) - 1)
#define STONEGADGET    ((fieldy / 2) + 1)
#define METALGADGET    ((fieldy / 2) + 3)
#define FROSTGADGET    ((fieldy / 2) + 5)
#define UPGADGET       ((fieldy / 2) + 7)
#define DOWNGADGET     ((fieldy / 2) + 9)
#define PSEUDOLEFT     (STARTXPIXEL - (SQUAREX * 2) - 4)

// don't change these!
#define DIFFICULTY_EASY   0
#define DIFFICULTY_NORMAL 1
#define DIFFICULTY_HARD   2

// scoring
#define POINTS_EMPTY      1
#define POINTS_SILVER     5
#define POINTS_ENCLOSE    5
#define POINTS_GOLD      10
#define POINTS_BANANA    20
#define POINTS_BULLBONUS 25
#define POINTS_OBJECT    30
#define POINTS_CHERRY    50
#define POINTS_NUMBER   100
#define POINTS_GRAVE    100
#define POINTS_FLOWER   100
#define POINTS_FRUIT   1000

/* The constant NORMAL is used for several purposes:
    a)  as a speed (therefore must not be VERYFAST, FAST, SLOW
        or VERYSLOW);
    b)  as a mouse pointer (therefore must not be anything that can be
        a brush).

objects... */
    #define AFFIXER              0
    #define AMMO                 1
    #define ARMOUR               2
    #define AUTOJUMP             3
    #define BACKWARDS            4
    #define BONUS                5
    #define BRAKES               6
    #define CUTTER               7
    #define CYCLONE_O            8
    #define ENCLOSER             9
    #define FORWARDS            10
    #define GLOW                11
    #define GRABBER             12
    #define GRENADE             13
    #define GROWER              14
    #define ICE                 15
    #define LIGHTNING           16
    #define MINIBOMB            17
    #define MINIHEALER          18
    #define MINIPULSE           19
    #define MISSILE_O           20
    #define MULTIPLIER          21
    #define POWER               22
    #define PROTECTOR           23
    #define PUSHER              24
    #define REMNANTS            25
    #define SIDESHOT            26
    #define SLAYER              27
    #define SLOWER              28
    #define SUPERBOMB           29
    #define SUPERHEALER         30
    #define SUPERPULSE          31
    #define SWITCHER            32
    #define TAMER               33
    #define TREASURE            34
    #define UMBRELLA            35

/* field contents... */
    #define FIRSTNUMBER        (4 +  32)
    #define LASTNUMBER         (4 +  40)
    #define EMPTY              (4 +  41)
    #define SILVER             (4 +  42)
    #define GOLD               (4 +  43)
    #define DYNAMITE           (4 +  44)
    #define WOOD               (4 +  45)
    #define STONE              (4 +  46)
    #define METAL              (4 +  47)
    #define FROST              (4 +  48)
    #define SLIME              (4 +  49)
    #define TELEPORT           (4 +  50)
    #define ARROWUP            (4 +  51)
    #define ARROWDOWN          (4 +  52)
    #define START              (4 +  53)
/* colour sets... */
    #define FIRSTARROW         (4 +  54)
    #define  LASTARROW         (4 +  57)
    #define FIRSTRAIN          (4 +  58)
    #define  LASTRAIN          (4 +  61)
    #define FIRSTMISSILE       (4 +  62)
    #define  LASTMISSILE       (4 +  65)
    #define FIRSTPROTECTOR     (4 +  66)
    #define  LASTPROTECTOR     (4 +  69)
    #define FIRSTTAIL          (4 +  70)
    #define  LASTTAIL          (4 +  73)
    #define FIRSTGLOW          (4 +  74)
    #define  LASTGLOW          (4 +  77)
    #define FIRSTFIRE          (4 +  78)
    #define  LASTFIRE          (4 +  81)
    #define FIRSTGRAVE         (4 +  82)
    #define  LASTGRAVE         (4 +  85)
    #define FIRSTPAIN          (4 +  86)
    #define  LASTPAIN          (4 +  89)
    #define FIRSTHEAD          (4 +  90)
    #define  LASTHEAD          (4 +  93)
    #define FIRSTCHERRY        (4 +  94)
    #define  LASTCHERRY        (4 +  97)
    #define FIRSTFLOWER        (4 +  98)
    #define  LASTFLOWER        (4 + 101)
    #define FIRSTBANANA        (4 + 102)
    #define  LASTBANANA        (4 + 105)
    #define FIRSTFRUIT         (4 + 106)
    #define  LASTFRUIT         (9 + 125)
/* never field contents... */
    #define MUSIC              (9 + 126)
    #define FX                 (9 + 127)
    #define ALL                (9 + 128)
    #define BLACKARROW         (9 + 129)
    #define BLACKENED          (9 + 130)
    #define WHITENED           (9 + 131)
    #define FIRSTBIRDFRAME     (9 + 132)
    #define LASTBIRDFRAME      (9 + 135)
    #define BULLRIGHT          (9 + 136)
    #define DOGAWAKENING       (9 + 137)
    #define DOGDORMANT         (9 + 138)
    #define FROGRIGHT          (9 + 139)
    #define FROGMOUTHLEFT      (9 + 140)
    #define FROGMOUTHRIGHT     (9 + 141)
    #define FROGTONGUE         (9 + 142)
    #define FIRSTMISSILEFRAME  (9 + 143)
    #define LASTMISSILEFRAME   (9 + 162)
    #define RABBITRIGHT        (9 + 163)
    #define CLOCK              (9 + 164)
    #define FIRSTORB           (9 + 165)
    #define LASTORB            (9 + 168)
    #define BOTH               (9 + 169)
    #define FIRSTREVNUMBER     (9 + 170)
    #define LASTREVNUMBER      (9 + 178)
    #define CLUSTER            (9 + 179)
    #define SQUIDLEFT          (9 + 180)
    #define SQUIDRIGHT         (9 + 181)
    #define FIRSTEELFRAME      (9 + 182)
    #define LASTEELFRAME       (9 + 184)

/* creatures... */
    #define ANT                194
    #define BIRD               195
    #define BULL               196
    #define CAMEL              197
    #define CLOUD              198
    #define CYCLONE_C          199
    #define DOG                200
    #define FISH               201
    #define FRAGMENT           202
    #define FROG               203
    #define GIRAFFE            204
    #define KANGAROO           205
    #define MISSILE_C          206
    #define MONKEY             207
    #define MOUSE              208
    #define OCTOPUS            209
    #define ORB                210
    #define OTTER              211
    #define RABBIT             212
    #define RAIN               213
    #define SALAMANDER         214
    #define SNAIL              215
    #define SPIDER             216
    #define GOOSE              217
    #define HORSE              218
    #define BEAR               219
    #define ELEPHANT           220
    #define CHICKEN            221
    #define ZEBRA              222
    #define RHINOCEROS         223
    #define SNAKE              224
    #define PANDA              225
    #define EEL                226
    #define BUTTERFLY          227
    #define KOALA              228
    #define SQUID              229
    #define TURTLE             230
    #define LEMMING            231
    #define PORCUPINE          232
    #define TERMITE            233
    #define LASTCREATURE       TERMITE

#define FIRSTBANANAFRAME   234 // 232+2..259+2
#define FIRSTTURTLEFRAME   262 // 260+2..262+2
#define LEMMINGLEFT        265
#define FIRST25POINTS      266 // 264+2..267+2
#define FIRST50POINTS      270 // 268+2..271+2
#define FIRST100POINTS     274 // 272+2..275+2
#define FIRST200POINTS     278 // 276+2..279+2
#define FIRSTPATTERN       282
#define LASTPATTERN        303
#define ENGRAVINGS         (LASTPATTERN - FIRSTPATTERN + 1)

#define GHOSTAFFIXER           304
#define GHOSTARMOUR            305
#define GHOSTAUTOJUMP          306
#define GHOSTBACKWARDS         307
#define GHOSTCUTTER            308
#define GHOSTENCLOSER          309
#define GHOSTFORWARDS          310
#define GHOSTGLOW              311
#define GHOSTGRENADE           312
#define GHOSTPUSHER            313
#define GHOSTREMNANTS          314
#define GHOSTSIDESHOT          315

// 316..319 are spare

/* no imagery... */
    #define TEMPFROST          1000
    #define TEMPWOOD           1001
    #define TEMPSLIME          1002
    #define TEMPLIGHTNING      1003
    #define TEMPSILVER         1004
    #define TEMPGOLD           1005
    #define NOSQUARE           1006
    #define BANGEDDYNAMITE     1007
    #define BANGINGDYNAMITE    1008
    #define TEMPDYNAMITE       1009
    #define TEMPGLOW           1010

/* FIRSTOBJECT is always 0. */
    #define LASTOBJECT         UMBRELLA
    #define FIRSTEMPTY         EMPTY
    #define LASTEMPTY          GOLD
    #define FIRSTCREATURE      ANT
    #define BULLLEFT           BULL
    #define DOGCHASING         DOG
    #define FROGLEFT           FROG
    #define HEAD               FIRSTHEAD
    #define RABBITLEFT         RABBIT
    #define LEMMINGRIGHT       LEMMING
    #define BANANA             FIRSTBANANA
    #define ANYTHING           STONE /* should be something that is valid field contents */

/* heads */
    #define HEADSOFFSET        320
    #define  GREENHEADUP       (HEADSOFFSET +   0)
    #define    REDHEADUP       (HEADSOFFSET +   1)
    #define   BLUEHEADUP       (HEADSOFFSET +   2)
    #define YELLOWHEADUP       (HEADSOFFSET +   3)
    #define  GREENHEADDOWN     (HEADSOFFSET +   4)
    #define    REDHEADDOWN     (HEADSOFFSET +   5)
    #define   BLUEHEADDOWN     (HEADSOFFSET +   6)
    #define YELLOWHEADDOWN     (HEADSOFFSET +   7)
    #define  GREENHEADLEFT     (HEADSOFFSET +   8)
    #define    REDHEADLEFT     (HEADSOFFSET +   9)
    #define   BLUEHEADLEFT     (HEADSOFFSET +  10)
    #define YELLOWHEADLEFT     (HEADSOFFSET +  11)
    #define  GREENHEADRIGHT    (HEADSOFFSET +  12)
    #define    REDHEADRIGHT    (HEADSOFFSET +  13)
    #define   BLUEHEADRIGHT    (HEADSOFFSET +  14)
    #define YELLOWHEADRIGHT    (HEADSOFFSET +  15)
    #define  GREENGLOWUP       (HEADSOFFSET +  16)
    #define    REDGLOWUP       (HEADSOFFSET +  17)
    #define   BLUEGLOWUP       (HEADSOFFSET +  18)
    #define YELLOWGLOWUP       (HEADSOFFSET +  19)
    #define  GREENGLOWDOWN     (HEADSOFFSET +  20)
    #define    REDGLOWDOWN     (HEADSOFFSET +  21)
    #define   BLUEGLOWDOWN     (HEADSOFFSET +  22)
    #define YELLOWGLOWDOWN     (HEADSOFFSET +  23)
    #define  GREENGLOWLEFT     (HEADSOFFSET +  24)
    #define    REDGLOWLEFT     (HEADSOFFSET +  25)
    #define   BLUEGLOWLEFT     (HEADSOFFSET +  26)
    #define YELLOWGLOWLEFT     (HEADSOFFSET +  27)
    #define  GREENGLOWRIGHT    (HEADSOFFSET +  28)
    #define    REDGLOWRIGHT    (HEADSOFFSET +  29)
    #define   BLUEGLOWRIGHT    (HEADSOFFSET +  30)
    #define YELLOWGLOWRIGHT    (HEADSOFFSET +  31)
    #define GREENHEAD_NW       (HEADSOFFSET +  32)
    #define GREENHEAD_NE       (HEADSOFFSET +  33)
    #define GREENHEAD_SW       (HEADSOFFSET +  34)
    #define GREENHEAD_SE       (HEADSOFFSET +  35)
    #define GREENGLOW_NW       (HEADSOFFSET +  36)
    #define GREENGLOW_NE       (HEADSOFFSET +  37)
    #define GREENGLOW_SW       (HEADSOFFSET +  38)
    #define GREENGLOW_SE       (HEADSOFFSET +  39)
    #define REDHEAD_NW         (HEADSOFFSET +  40)
    #define REDHEAD_NE         (HEADSOFFSET +  41)
    #define REDHEAD_SW         (HEADSOFFSET +  42)
    #define REDHEAD_SE         (HEADSOFFSET +  43)
    #define REDGLOW_NW         (HEADSOFFSET +  44)
    #define REDGLOW_NE         (HEADSOFFSET +  45)
    #define REDGLOW_SW         (HEADSOFFSET +  46)
    #define REDGLOW_SE         (HEADSOFFSET +  47)
    #define BLUEHEAD_NW        (HEADSOFFSET +  48)
    #define BLUEHEAD_NE        (HEADSOFFSET +  49)
    #define BLUEHEAD_SW        (HEADSOFFSET +  50)
    #define BLUEHEAD_SE        (HEADSOFFSET +  51)
    #define BLUEGLOW_NW        (HEADSOFFSET +  52)
    #define BLUEGLOW_NE        (HEADSOFFSET +  53)
    #define BLUEGLOW_SW        (HEADSOFFSET +  54)
    #define BLUEGLOW_SE        (HEADSOFFSET +  55)
    #define YELLOWHEAD_NW      (HEADSOFFSET +  56)
    #define YELLOWHEAD_NE      (HEADSOFFSET +  57)
    #define YELLOWHEAD_SW      (HEADSOFFSET +  58)
    #define YELLOWHEAD_SE      (HEADSOFFSET +  59)
    #define YELLOWGLOW_NW      (HEADSOFFSET +  60)
    #define YELLOWGLOW_NE      (HEADSOFFSET +  61)
    #define YELLOWGLOW_SW      (HEADSOFFSET +  62)
    #define YELLOWGLOW_SE      (HEADSOFFSET +  63)

/* tails */
    #define TAILSOFFSET        (HEADSOFFSET +  64)
    #define GN_START           (TAILSOFFSET +   0)
    #define GG_START           (TAILSOFFSET +  29)
    #define RN_START           (TAILSOFFSET +  58)
    #define RG_START           (TAILSOFFSET +  87)
    #define BN_START           (TAILSOFFSET + 116)
    #define BG_START           (TAILSOFFSET + 145)
    #define YN_START           (TAILSOFFSET + 174)
    #define YG_START           (TAILSOFFSET + 203)

    #define GN_E_NE  (GN_START +   0)
    #define GN_E_S   (GN_START +   1)
    #define GN_E_SE  (GN_START +   2)
    #define GN_NE_SE (GN_START +   3)
    #define GN_NE_SW (GN_START +   4)
    #define GN_NW_E  (GN_START +   5)
    #define GN_NW_NE (GN_START +   6)
    #define GN_NW_SE (GN_START +   7)
    #define GN_NW_SW (GN_START +   8)
    #define GN_N_E   (GN_START +   9)
    #define GN_N_NE  (GN_START +  10)
    #define GN_N_NW  (GN_START +  11)
    #define GN_N_S   (GN_START +  12)
    #define GN_N_SE  (GN_START +  13)
    #define GN_N_SW  (GN_START +  14)
    #define GN_N_W   (GN_START +  15)
    #define GN_SW_E  (GN_START +  16)
    #define GN_SW_SE (GN_START +  17)
    #define GN_S_NE  (GN_START +  18)
    #define GN_S_NW  (GN_START +  19)
    #define GN_S_SE  (GN_START +  20)
    #define GN_S_SW  (GN_START +  21)
    #define GN_W_E   (GN_START +  22)
    #define GN_W_NE  (GN_START +  23)
    #define GN_NW_W  (GN_START +  24)
    #define GN_W_S   (GN_START +  25)
    #define GN_W_SE  (GN_START +  26)
    #define GN_W_SW  (GN_START +  27)
    #define GN_ALL   (GN_START +  28)

    #define GG_E_NE  (GG_START +   0)
    #define GG_E_S   (GG_START +   1)
    #define GG_E_SE  (GG_START +   2)
    #define GG_NE_SE (GG_START +   3)
    #define GG_NE_SW (GG_START +   4)
    #define GG_NW_E  (GG_START +   5)
    #define GG_NW_NE (GG_START +   6)
    #define GG_NW_SE (GG_START +   7)
    #define GG_NW_SW (GG_START +   8)
    #define GG_N_E   (GG_START +   9)
    #define GG_N_NE  (GG_START +  10)
    #define GG_N_NW  (GG_START +  11)
    #define GG_N_S   (GG_START +  12)
    #define GG_N_SE  (GG_START +  13)
    #define GG_N_SW  (GG_START +  14)
    #define GG_N_W   (GG_START +  15)
    #define GG_SW_E  (GG_START +  16)
    #define GG_SW_SE (GG_START +  17)
    #define GG_S_NE  (GG_START +  18)
    #define GG_S_NW  (GG_START +  19)
    #define GG_S_SE  (GG_START +  20)
    #define GG_S_SW  (GG_START +  21)
    #define GG_W_E   (GG_START +  22)
    #define GG_W_NE  (GG_START +  23)
    #define GG_NW_W  (GG_START +  24)
    #define GG_W_S   (GG_START +  25)
    #define GG_W_SE  (GG_START +  26)
    #define GG_W_SW  (GG_START +  27)
    #define GG_ALL   (GG_START +  28)

    #define RN_E_NE  (RN_START +   0)
    #define RN_E_S   (RN_START +   1)
    #define RN_E_SE  (RN_START +   2)
    #define RN_NE_SE (RN_START +   3)
    #define RN_NE_SW (RN_START +   4)
    #define RN_NW_E  (RN_START +   5)
    #define RN_NW_NE (RN_START +   6)
    #define RN_NW_SE (RN_START +   7)
    #define RN_NW_SW (RN_START +   8)
    #define RN_N_E   (RN_START +   9)
    #define RN_N_NE  (RN_START +  10)
    #define RN_N_NW  (RN_START +  11)
    #define RN_N_S   (RN_START +  12)
    #define RN_N_SE  (RN_START +  13)
    #define RN_N_SW  (RN_START +  14)
    #define RN_N_W   (RN_START +  15)
    #define RN_SW_E  (RN_START +  16)
    #define RN_SW_SE (RN_START +  17)
    #define RN_S_NE  (RN_START +  18)
    #define RN_S_NW  (RN_START +  19)
    #define RN_S_SE  (RN_START +  20)
    #define RN_S_SW  (RN_START +  21)
    #define RN_W_E   (RN_START +  22)
    #define RN_W_NE  (RN_START +  23)
    #define RN_NW_W  (RN_START +  24)
    #define RN_W_S   (RN_START +  25)
    #define RN_W_SE  (RN_START +  26)
    #define RN_W_SW  (RN_START +  27)
    #define RN_ALL   (RN_START +  28)

    #define RG_E_NE  (RG_START +   0)
    #define RG_E_S   (RG_START +   1)
    #define RG_E_SE  (RG_START +   2)
    #define RG_NE_SE (RG_START +   3)
    #define RG_NE_SW (RG_START +   4)
    #define RG_NW_E  (RG_START +   5)
    #define RG_NW_NE (RG_START +   6)
    #define RG_NW_SE (RG_START +   7)
    #define RG_NW_SW (RG_START +   8)
    #define RG_N_E   (RG_START +   9)
    #define RG_N_NE  (RG_START +  10)
    #define RG_N_NW  (RG_START +  11)
    #define RG_N_S   (RG_START +  12)
    #define RG_N_SE  (RG_START +  13)
    #define RG_N_SW  (RG_START +  14)
    #define RG_N_W   (RG_START +  15)
    #define RG_SW_E  (RG_START +  16)
    #define RG_SW_SE (RG_START +  17)
    #define RG_S_NE  (RG_START +  18)
    #define RG_S_NW  (RG_START +  19)
    #define RG_S_SE  (RG_START +  20)
    #define RG_S_SW  (RG_START +  21)
    #define RG_W_E   (RG_START +  22)
    #define RG_W_NE  (RG_START +  23)
    #define RG_NW_W  (RG_START +  24)
    #define RG_W_S   (RG_START +  25)
    #define RG_W_SE  (RG_START +  26)
    #define RG_W_SW  (RG_START +  27)
    #define RG_ALL   (RG_START +  28)

    #define BN_E_NE  (BN_START +   0)
    #define BN_E_S   (BN_START +   1)
    #define BN_E_SE  (BN_START +   2)
    #define BN_NE_SE (BN_START +   3)
    #define BN_NE_SW (BN_START +   4)
    #define BN_NW_E  (BN_START +   5)
    #define BN_NW_NE (BN_START +   6)
    #define BN_NW_SE (BN_START +   7)
    #define BN_NW_SW (BN_START +   8)
    #define BN_N_E   (BN_START +   9)
    #define BN_N_NE  (BN_START +  10)
    #define BN_N_NW  (BN_START +  11)
    #define BN_N_S   (BN_START +  12)
    #define BN_N_SE  (BN_START +  13)
    #define BN_N_SW  (BN_START +  14)
    #define BN_N_W   (BN_START +  15)
    #define BN_SW_E  (BN_START +  16)
    #define BN_SW_SE (BN_START +  17)
    #define BN_S_NE  (BN_START +  18)
    #define BN_S_NW  (BN_START +  19)
    #define BN_S_SE  (BN_START +  20)
    #define BN_S_SW  (BN_START +  21)
    #define BN_W_E   (BN_START +  22)
    #define BN_W_NE  (BN_START +  23)
    #define BN_NW_W  (BN_START +  24)
    #define BN_W_S   (BN_START +  25)
    #define BN_W_SE  (BN_START +  26)
    #define BN_W_SW  (BN_START +  27)
    #define BN_ALL   (BN_START +  28)

    #define BG_E_NE  (BG_START +   0)
    #define BG_E_S   (BG_START +   1)
    #define BG_E_SE  (BG_START +   2)
    #define BG_NE_SE (BG_START +   3)
    #define BG_NE_SW (BG_START +   4)
    #define BG_NW_E  (BG_START +   5)
    #define BG_NW_NE (BG_START +   6)
    #define BG_NW_SE (BG_START +   7)
    #define BG_NW_SW (BG_START +   8)
    #define BG_N_E   (BG_START +   9)
    #define BG_N_NE  (BG_START +  10)
    #define BG_N_NW  (BG_START +  11)
    #define BG_N_S   (BG_START +  12)
    #define BG_N_SE  (BG_START +  13)
    #define BG_N_SW  (BG_START +  14)
    #define BG_N_W   (BG_START +  15)
    #define BG_SW_E  (BG_START +  16)
    #define BG_SW_SE (BG_START +  17)
    #define BG_S_NE  (BG_START +  18)
    #define BG_S_NW  (BG_START +  19)
    #define BG_S_SE  (BG_START +  20)
    #define BG_S_SW  (BG_START +  21)
    #define BG_W_E   (BG_START +  22)
    #define BG_W_NE  (BG_START +  23)
    #define BG_NW_W  (BG_START +  24)
    #define BG_W_S   (BG_START +  25)
    #define BG_W_SE  (BG_START +  26)
    #define BG_W_SW  (BG_START +  27)
    #define BG_ALL   (BG_START +  28)

    #define YN_E_NE  (YN_START +   0)
    #define YN_E_S   (YN_START +   1)
    #define YN_E_SE  (YN_START +   2)
    #define YN_NE_SE (YN_START +   3)
    #define YN_NE_SW (YN_START +   4)
    #define YN_NW_E  (YN_START +   5)
    #define YN_NW_NE (YN_START +   6)
    #define YN_NW_SE (YN_START +   7)
    #define YN_NW_SW (YN_START +   8)
    #define YN_N_E   (YN_START +   9)
    #define YN_N_NE  (YN_START +  10)
    #define YN_N_NW  (YN_START +  11)
    #define YN_N_S   (YN_START +  12)
    #define YN_N_SE  (YN_START +  13)
    #define YN_N_SW  (YN_START +  14)
    #define YN_N_W   (YN_START +  15)
    #define YN_SW_E  (YN_START +  16)
    #define YN_SW_SE (YN_START +  17)
    #define YN_S_NE  (YN_START +  18)
    #define YN_S_NW  (YN_START +  19)
    #define YN_S_SE  (YN_START +  20)
    #define YN_S_SW  (YN_START +  21)
    #define YN_W_E   (YN_START +  22)
    #define YN_W_NE  (YN_START +  23)
    #define YN_NW_W  (YN_START +  24)
    #define YN_W_S   (YN_START +  25)
    #define YN_W_SE  (YN_START +  26)
    #define YN_W_SW  (YN_START +  27)
    #define YN_ALL   (YN_START +  28)

    #define YG_E_NE  (YG_START +   0)
    #define YG_E_S   (YG_START +   1)
    #define YG_E_SE  (YG_START +   2)
    #define YG_NE_SE (YG_START +   3)
    #define YG_NE_SW (YG_START +   4)
    #define YG_NW_E  (YG_START +   5)
    #define YG_NW_NE (YG_START +   6)
    #define YG_NW_SE (YG_START +   7)
    #define YG_NW_SW (YG_START +   8)
    #define YG_N_E   (YG_START +   9)
    #define YG_N_NE  (YG_START +  10)
    #define YG_N_NW  (YG_START +  11)
    #define YG_N_S   (YG_START +  12)
    #define YG_N_SE  (YG_START +  13)
    #define YG_N_SW  (YG_START +  14)
    #define YG_N_W   (YG_START +  15)
    #define YG_SW_E  (YG_START +  16)
    #define YG_SW_SE (YG_START +  17)
    #define YG_S_NE  (YG_START +  18)
    #define YG_S_NW  (YG_START +  19)
    #define YG_S_SE  (YG_START +  20)
    #define YG_S_SW  (YG_START +  21)
    #define YG_W_E   (YG_START +  22)
    #define YG_W_NE  (YG_START +  23)
    #define YG_NW_W  (YG_START +  24)
    #define YG_W_S   (YG_START +  25)
    #define YG_W_SE  (YG_START +  26)
    #define YG_W_SW  (YG_START +  27)
    #define YG_ALL   (YG_START +  28)

    #define ARRAYSIZE     YG_ALL // counting from 0 (ie. elements are 0..ARRAYSIZE)

    #define GN_SE_NW      GN_NW_SE
    #define GN_SE_N       GN_N_SE
    #define GN_SE_NE      GN_NE_SE
    #define GN_SE_W       GN_W_SE
    #define GN_SE_E       GN_E_SE
    #define GN_SE_SW      GN_SW_SE
    #define GN_SE_S       GN_S_SE
    #define GN_S_N        GN_N_S
    #define GN_S_W        GN_W_S
    #define GN_S_E        GN_E_S
    #define GN_SW_NW      GN_NW_SW
    #define GN_SW_N       GN_N_SW
    #define GN_SW_NE      GN_NE_SW
    #define GN_SW_W       GN_W_SW
    #define GN_SW_S       GN_S_SW
    #define GN_E_NW       GN_NW_E
    #define GN_E_N        GN_N_E
    #define GN_E_W        GN_W_E
    #define GN_E_SW       GN_SW_E
    #define GN_W_NW       GN_NW_W
    #define GN_W_N        GN_N_W
    #define GN_NE_NW      GN_NW_NE
    #define GN_NE_N       GN_N_NE
    #define GN_NE_W       GN_W_NE
    #define GN_NE_E       GN_E_NE
    #define GN_NE_S       GN_S_NE
    #define GN_NW_N       GN_N_NW
    #define GN_NW_S       GN_S_NW

    #define GG_SE_NW      GG_NW_SE
    #define GG_SE_N       GG_N_SE
    #define GG_SE_NE      GG_NE_SE
    #define GG_SE_W       GG_W_SE
    #define GG_SE_E       GG_E_SE
    #define GG_SE_SW      GG_SW_SE
    #define GG_SE_S       GG_S_SE
    #define GG_S_N        GG_N_S
    #define GG_S_W        GG_W_S
    #define GG_S_E        GG_E_S
    #define GG_SW_NW      GG_NW_SW
    #define GG_SW_N       GG_N_SW
    #define GG_SW_NE      GG_NE_SW
    #define GG_SW_W       GG_W_SW
    #define GG_SW_S       GG_S_SW
    #define GG_E_NW       GG_NW_E
    #define GG_E_N        GG_N_E
    #define GG_E_W        GG_W_E
    #define GG_E_SW       GG_SW_E
    #define GG_W_NW       GG_NW_W
    #define GG_W_N        GG_N_W
    #define GG_NE_NW      GG_NW_NE
    #define GG_NE_N       GG_N_NE
    #define GG_NE_W       GG_W_NE
    #define GG_NE_E       GG_E_NE
    #define GG_NE_S       GG_S_NE
    #define GG_NW_N       GG_N_NW
    #define GG_NW_S       GG_S_NW

    #define RN_SE_NW      RN_NW_SE
    #define RN_SE_N       RN_N_SE
    #define RN_SE_NE      RN_NE_SE
    #define RN_SE_W       RN_W_SE
    #define RN_SE_E       RN_E_SE
    #define RN_SE_SW      RN_SW_SE
    #define RN_SE_S       RN_S_SE
    #define RN_S_N        RN_N_S
    #define RN_S_W        RN_W_S
    #define RN_S_E        RN_E_S
    #define RN_SW_NW      RN_NW_SW
    #define RN_SW_N       RN_N_SW
    #define RN_SW_NE      RN_NE_SW
    #define RN_SW_W       RN_W_SW
    #define RN_SW_S       RN_S_SW
    #define RN_E_NW       RN_NW_E
    #define RN_E_N        RN_N_E
    #define RN_E_W        RN_W_E
    #define RN_E_SW       RN_SW_E
    #define RN_W_NW       RN_NW_W
    #define RN_W_N        RN_N_W
    #define RN_NE_NW      RN_NW_NE
    #define RN_NE_N       RN_N_NE
    #define RN_NE_W       RN_W_NE
    #define RN_NE_E       RN_E_NE
    #define RN_NE_S       RN_S_NE
    #define RN_NW_N       RN_N_NW
    #define RN_NW_S       RN_S_NW

    #define RG_SE_NW      RG_NW_SE
    #define RG_SE_N       RG_N_SE
    #define RG_SE_NE      RG_NE_SE
    #define RG_SE_W       RG_W_SE
    #define RG_SE_E       RG_E_SE
    #define RG_SE_SW      RG_SW_SE
    #define RG_SE_S       RG_S_SE
    #define RG_S_N        RG_N_S
    #define RG_S_W        RG_W_S
    #define RG_S_E        RG_E_S
    #define RG_SW_NW      RG_NW_SW
    #define RG_SW_N       RG_N_SW
    #define RG_SW_NE      RG_NE_SW
    #define RG_SW_W       RG_W_SW
    #define RG_SW_S       RG_S_SW
    #define RG_E_NW       RG_NW_E
    #define RG_E_N        RG_N_E
    #define RG_E_W        RG_W_E
    #define RG_E_SW       RG_SW_E
    #define RG_W_NW       RG_NW_W
    #define RG_W_N        RG_N_W
    #define RG_NE_NW      RG_NW_NE
    #define RG_NE_N       RG_N_NE
    #define RG_NE_W       RG_W_NE
    #define RG_NE_E       RG_E_NE
    #define RG_NE_S       RG_S_NE
    #define RG_NW_N       RG_N_NW
    #define RG_NW_S       RG_S_NW

    #define BN_SE_NW      BN_NW_SE
    #define BN_SE_N       BN_N_SE
    #define BN_SE_NE      BN_NE_SE
    #define BN_SE_W       BN_W_SE
    #define BN_SE_E       BN_E_SE
    #define BN_SE_SW      BN_SW_SE
    #define BN_SE_S       BN_S_SE
    #define BN_S_N        BN_N_S
    #define BN_S_W        BN_W_S
    #define BN_S_E        BN_E_S
    #define BN_SW_NW      BN_NW_SW
    #define BN_SW_N       BN_N_SW
    #define BN_SW_NE      BN_NE_SW
    #define BN_SW_W       BN_W_SW
    #define BN_SW_S       BN_S_SW
    #define BN_E_NW       BN_NW_E
    #define BN_E_N        BN_N_E
    #define BN_E_W        BN_W_E
    #define BN_E_SW       BN_SW_E
    #define BN_W_NW       BN_NW_W
    #define BN_W_N        BN_N_W
    #define BN_NE_NW      BN_NW_NE
    #define BN_NE_N       BN_N_NE
    #define BN_NE_W       BN_W_NE
    #define BN_NE_E       BN_E_NE
    #define BN_NE_S       BN_S_NE
    #define BN_NW_N       BN_N_NW
    #define BN_NW_S       BN_S_NW

    #define BG_SE_NW      BG_NW_SE
    #define BG_SE_N       BG_N_SE
    #define BG_SE_NE      BG_NE_SE
    #define BG_SE_W       BG_W_SE
    #define BG_SE_E       BG_E_SE
    #define BG_SE_SW      BG_SW_SE
    #define BG_SE_S       BG_S_SE
    #define BG_S_N        BG_N_S
    #define BG_S_W        BG_W_S
    #define BG_S_E        BG_E_S
    #define BG_SW_NW      BG_NW_SW
    #define BG_SW_N       BG_N_SW
    #define BG_SW_NE      BG_NE_SW
    #define BG_SW_W       BG_W_SW
    #define BG_SW_S       BG_S_SW
    #define BG_E_NW       BG_NW_E
    #define BG_E_N        BG_N_E
    #define BG_E_W        BG_W_E
    #define BG_E_SW       BG_SW_E
    #define BG_W_NW       BG_NW_W
    #define BG_W_N        BG_N_W
    #define BG_NE_NW      BG_NW_NE
    #define BG_NE_N       BG_N_NE
    #define BG_NE_W       BG_W_NE
    #define BG_NE_E       BG_E_NE
    #define BG_NE_S       BG_S_NE
    #define BG_NW_N       BG_N_NW
    #define BG_NW_S       BG_S_NW

    #define YN_SE_NW      YN_NW_SE
    #define YN_SE_N       YN_N_SE
    #define YN_SE_NE      YN_NE_SE
    #define YN_SE_W       YN_W_SE
    #define YN_SE_E       YN_E_SE
    #define YN_SE_SW      YN_SW_SE
    #define YN_SE_S       YN_S_SE
    #define YN_S_N        YN_N_S
    #define YN_S_W        YN_W_S
    #define YN_S_E        YN_E_S
    #define YN_SW_NW      YN_NW_SW
    #define YN_SW_N       YN_N_SW
    #define YN_SW_NE      YN_NE_SW
    #define YN_SW_W       YN_W_SW
    #define YN_SW_S       YN_S_SW
    #define YN_E_NW       YN_NW_E
    #define YN_E_N        YN_N_E
    #define YN_E_W        YN_W_E
    #define YN_E_SW       YN_SW_E
    #define YN_W_NW       YN_NW_W
    #define YN_W_N        YN_N_W
    #define YN_NE_NW      YN_NW_NE
    #define YN_NE_N       YN_N_NE
    #define YN_NE_W       YN_W_NE
    #define YN_NE_E       YN_E_NE
    #define YN_NE_S       YN_S_NE
    #define YN_NW_N       YN_N_NW
    #define YN_NW_S       YN_S_NW

    #define YG_SE_NW      YG_NW_SE
    #define YG_SE_N       YG_N_SE
    #define YG_SE_NE      YG_NE_SE
    #define YG_SE_W       YG_W_SE
    #define YG_SE_E       YG_E_SE
    #define YG_SE_SW      YG_SW_SE
    #define YG_SE_S       YG_S_SE
    #define YG_S_N        YG_N_S
    #define YG_S_W        YG_W_S
    #define YG_S_E        YG_E_S
    #define YG_SW_NW      YG_NW_SW
    #define YG_SW_N       YG_N_SW
    #define YG_SW_NE      YG_NE_SW
    #define YG_SW_W       YG_W_SW
    #define YG_SW_S       YG_S_SW
    #define YG_E_NW       YG_NW_E
    #define YG_E_N        YG_N_E
    #define YG_E_W        YG_W_E
    #define YG_E_SW       YG_SW_E
    #define YG_W_NW       YG_NW_W
    #define YG_W_N        YG_N_W
    #define YG_NE_NW      YG_NW_NE
    #define YG_NE_N       YG_N_NE
    #define YG_NE_W       YG_W_NE
    #define YG_NE_E       YG_E_NE
    #define YG_NE_S       YG_S_NE
    #define YG_NW_N       YG_N_NW
    #define YG_NW_S       YG_S_NW

/* game status */
#define GAMEOVER        0
#define PLAYGAME        1
#define LEVELEDIT       2
#define TITLESCREEN     3

/* indicator locations */
#define ICONY           (-1)
#define CLOCKICONX      (-2)
#define MUSICICONX      (-3)

/* control values */
#define NONE            0 /* must be 0 */
#define THEAMIGA        1
#define JOYSTICK        2
#define GAMEPAD         3
#define KEYBOARD        4
#define IBMPC           THEAMIGA

#define BANANAFRAMES      8 // counting from 1
#define BIRDFRAMES        4 // counting from 0
#define MISSILEFRAMES     5 // counting from 0
#define SQUIDFRAMES       3 // counting from 0
#define EELFRAMES         3 // counting from 0
#define TURTLEFRAMES      4 // counting from 1

#define PAIN_CREATURE     3
#define PAIN_HEAD         3
#define PAIN_PROTECTOR    3
#define PAIN_SLIME        1

/* 3. GLOBAL FUNCTIONS ---------------------------------------------------

(amiga|ibm).c */
EXPORT void playsong(UBYTE whichsong);
/* EXPORT void cyclecolours(void); */
EXPORT void celebrate(void);
EXPORT void clearkybd(void);
EXPORT void clearscreen(void);
EXPORT void datestamp(void);
EXPORT void dotext(int x, int y, STRPTR thestring);
EXPORT void gameinput(void);
EXPORT void renderhiscores_amiga(void);
EXPORT void intro(void);
EXPORT void resettime(void);
EXPORT void systemsetup(void);
EXPORT void timing(void);
EXPORT void turborender(void);
EXPORT void waitasec(void);
EXPORT void whiteline(void);
EXPORT FLAG anykey(FLAG timeout, FLAG allowrmb);
EXPORT FLAG verify(void);
EXPORT void cleanexit(SLONG rc);
EXPORT void effect(SBYTE index);
EXPORT void fileopen(FLAG revert);
EXPORT void filesaveas(FLAG saveas);
EXPORT void systemrundown(SBYTE player, FLAG redo);
EXPORT void say(STRPTR sentence, COLOUR colour);
EXPORT void stopfx(void);
EXPORT void ReadAdapterJoystick(UBYTE unit);
EXPORT void ReadStandardJoystick(ULONG port);
EXPORT void ReadGamepads(void);
EXPORT void printstat(int player, int theline);
EXPORT void help(UBYTE type);
EXPORT void help_about(void);
EXPORT void help_update(void);
EXPORT void helploop(UBYTE type);
EXPORT void toggle(SBYTE key);
EXPORT void filedelete(void);
EXPORT void drawhead(SBYTE player);
EXPORT void colourline(int player);
EXPORT SLONG wormobject(SBYTE player, int x, int y);
EXPORT void bangdynamite(int x, int y);
EXPORT void putnumber(void);
EXPORT void turnworm(SBYTE player, int deltax, int deltay);
EXPORT void updatearrow(int arrowy);
EXPORT void protworm(int x, int y, SBYTE player1, SBYTE player2);
EXPORT void squareblast(UBYTE triggerer, SBYTE player, UWORD c, int x, int y, FLAG cutter, FLAG superbomb);
EXPORT void drawmissile(int x, int y, UBYTE which);
EXPORT FLAG blockedtel(UBYTE which, int deltax, int deltay);
EXPORT int isign(int value);
EXPORT FLAG  getnumber(SBYTE player);
EXPORT UBYTE speedup(UBYTE speed, FLAG isworm);
EXPORT ULONG arand(ULONG number);
EXPORT UBYTE whichteleport(int x, int y);
EXPORT void stat(int player, int image);
EXPORT void teleportcreature(UBYTE i, UBYTE which);
EXPORT int createprotector(int player, int x, int y);
EXPORT void dosidebar(void);
EXPORT void introanim(void);
EXPORT void intro_draw(int x, int y, UWORD what);
EXPORT void rectfill(int leftx, int topy, int rightx, int bottomy);
EXPORT void le_loop(void);
EXPORT void ami_drawbox(int leftx, int topy, int width, int height);
EXPORT void dot(void);
EXPORT void updatemenu(void);
EXPORT void busypointer(void);
EXPORT void normalpointer(void);
#ifdef AMIGA
    EXPORT void rq(STRPTR text);
    EXPORT void writetext(int x, int y, UBYTE colour, STRPTR text);
    EXPORT void ami_draw(int firstx, int firsty, int secondx, int secondy, UBYTE colour);
#endif
#ifdef WIN32
    EXPORT void openconsole(void);
    EXPORT void writetext(int x, int y, COLOUR colour, STRPTR text);
    EXPORT void ami_draw(int firstx, int firsty, int secondx, int secondy, COLOUR colour);
    EXPORT void iconify(void);
    EXPORT double zatof(STRPTR inputstr);
    EXPORT void openurl(STRPTR command);
    EXPORT void stcl_d(STRPTR out, long integer);
    EXPORT void releasepointer(void);
#endif

// engine#?.c
EXPORT void changefield(void);
EXPORT void clearhiscores(void);
EXPORT void enginesetup(void);
EXPORT void enginesetup2(void);
EXPORT void gameloop(void);
EXPORT void newfields(void);
EXPORT void newgame(void);
EXPORT void timeloop(void);
EXPORT void newfield(void);
EXPORT void drawsquare(int x, int y);
EXPORT void icon(int player, int image);
EXPORT void saylevel(COLOUR colour);
EXPORT void train(SCANCODE scancode);
EXPORT void wormscore(SBYTE player, SLONG score);
EXPORT void wormscore_unscaled(SBYTE player, SLONG score);
EXPORT void align(STRPTR string, SBYTE size, TEXT filler);
EXPORT void wormcol(SBYTE player, int x, int y);
EXPORT void bombblast(UBYTE triggerer, SBYTE player, int centrex, int centrey, FLAG superbomb, int strength);
EXPORT void change(int x, int y, UWORD image);
EXPORT SBYTE loadfields(STRPTR pathname);
EXPORT FLAG savefields(STRPTR pathname);
EXPORT FLAG valid(int x, int y);
EXPORT int xwrap(int x);
EXPORT int ywrap(int y);
EXPORT void introanim_engine(int introframe);
EXPORT STRPTR getintrotext(void);
EXPORT void bothcol(SBYTE player, int x, int y);
EXPORT void createcreature(UWORD species, UBYTE which, int x, int y, int deltax, int deltay, SBYTE player, UWORD subspecies, UBYTE creator);
EXPORT void creatureloop(UBYTE which);
EXPORT void wormkillcreature(SBYTE player, UBYTE which, FLAG showpoints);
EXPORT void protcreature(SBYTE player, UBYTE which);
EXPORT void wormcreature(SBYTE player, UBYTE which);
EXPORT void octopusfire(UBYTE which);
EXPORT UBYTE whichcreature(int x, int y, UWORD species, UBYTE exception);
EXPORT void wormloop(SBYTE player);
EXPORT void wormqueue(SBYTE player, int deltax, int deltay);
EXPORT FLAG blockedsquare(int x, int y);
EXPORT void drawcreature(UBYTE which);
EXPORT void stoppedwormloop(SBYTE player);
EXPORT UBYTE partner(UBYTE which);
EXPORT int sgn(int value);
// EXPORT FLAG hiscoresareclear(void);

// le.c
EXPORT void undot(void);
EXPORT void fieldedit(void);
EXPORT void fillfield(UBYTE which);
EXPORT void le_dosidebar(void);
EXPORT void le_drawfield(void);
EXPORT void le_handlekybd(SCANCODE scancode);
EXPORT void le_leftdown(int mousex, int mousey);
EXPORT void le_rightdown(int mousex, int mousey);
EXPORT void setbrush(UWORD newbrush);
EXPORT void stamp(UWORD square);
EXPORT void updatemenu(void);
EXPORT int xpixeltosquare(int x);
EXPORT int ypixeltosquare(int y);
EXPORT void le_cut(void);
EXPORT void le_copy(void);
EXPORT void le_paste(void);
EXPORT void le_append(void);
EXPORT void le_delete(void);
EXPORT void le_erase(void);
EXPORT void le_insert(void);

/* squares.c */
EXPORT void draw(int x, int y, UWORD image);
EXPORT void raw_draw(int x, int y, UWORD what);
EXPORT void le_draw(int x, int y, UWORD image);

#ifdef WIN32
    EXPORT void playmusic(void);
    EXPORT void stopmusic(void);
    EXPORT void toggle(SBYTE key);
    EXPORT void domusic(void);
    EXPORT void view_pointer(void);
    EXPORT void readibmgameport(int unit);
#endif

/* gfx.c */
#ifdef AMIGA
    EXPORT void remap(void);
#endif

/* 4. GLOBAL STRUCTURES -------------------------------------------------- */

EXPORT struct HiScoreStruct
{   SBYTE player;
    SBYTE level;
    SLONG score;                /* the score itself    */
    TEXT  name[NAMELENGTH + 2]; /* name of the player  */
    FLAG  fresh;                /* is the entry new?   */
    TEXT  date[DATELENGTH + 1]; /* date of achievement */
    TEXT  time[TIMELENGTH + 1]; /* time of achievement */
};
EXPORT struct WormStruct
{   int    x,
           y,
           deltax,
           deltay,
           olddeltax,
           olddeltay;
    SBYTE  position,
           posidir,
           statx,
           staty,
           pos,
           levelreached,
           arrowy,
           numbers;
    FLAG   affixer,
           alive,
           autojump,
           backwards,
           brakes,
           encloser,
           flashed,
           forwards,
           frosted,
           grenade,
           moved,
           pusher,
           rammed,
           remnants,
           sideshot,
           wait;
    UBYTE  speed,
           control,
           cause,
           last,
           multi,
           power,
           ammo;
    SWORD  armour,
           bias,
           cutter,
           lives,
           glow;
    SLONG  score,
           oldscore,
           hiscore,
           nextlife;
    ULONG  causewait,
           port;
    TEXT   name[NAMELENGTH + 1];
    COLOUR colour,
           dimcolour;
};
#define SPECIES 39 // counting from 0
EXPORT struct CreatureInfoStruct
{   UWORD  symbol;
    FLAG   wall; // does it naturally live on walls?
    UWORD  freq;
    UBYTE  speed;
    SLONG  score;
    STRPTR name;
    UBYTE  introlevel;
    FLAG   user; // is it shown to user?
};
EXPORT struct ObjectInfoStruct
{   UWORD  freq;
    UBYTE  introlevel;
    STRPTR desc;
};
EXPORT struct TeleportStruct
{   int x, y;
};
EXPORT struct PointStruct
{   UWORD final;
    int   time,
          x, y;
};
